Jump to content
  • Checkout
  • Login
  • Get in touch

osCommerce

The e-commerce.

osCommerce-Official

osCommerce site and Forums update notice

Recommended Posts

27 minutes ago, osCommerce-Official said:

Old osCommerce is old. Outdated. Potentially volnurable due to old server software. Lacks features. 

Read all the reviews of it. See Google trends. What was once great went into decline and died. Despite having such a great potential, despite having this amazing community. 

New osCommerce is using new technologies, is safe to run, has plenty of features and has future. 

Experts are VERY welcome to add free or paid apps and share their knowledge. 

OsCommerce needed a relaunch to make it possible for real life businessea to use it. 

Why stick to something very very old instead of embracing the change? Everyone has the right to make their choice of course. But if you really want to see osCommerce live on - join us on our journey. 

Yes, it is great to move on new one, to make it more secure, but is it necessary to disable the old addons link? I learn the oscommerce and addons knowlege by view old addons in the past few years, and ask helps from forum, you took this option away.

I learned C++ 20 years ago, compare to now, will you comment it that it is old, so not useful? And after all, it is up to website owners to design what version they like to move on. Beside, your link to new apps, not thing is working yet. Maybe admin can disable the old addons after confirm the new apps area works properly.

Share this post


Link to post
Share on other sites
11 hours ago, phi148 said:

Do we have information on the link of the FTP address for the old addons ?

We are very close to being able to allow access to those, will keep you posted. 

In the meantime osCommerce 4.02 has been released - please see the osCommerce.com website or this Forum for the announcement. 

Share this post


Link to post
Share on other sites
On 8/8/2022 at 11:09 AM, osCommerce-Official said:

Old osCommerce is old. Outdated. Potentially volnurable due to old server software. Lacks features. 

Read by letters please: IT IS MY PROBLEM! Not your, not anybody. IT IS MY AND ONLY MY PROBLEM! For what fucking hell somebody, I mean you, thinking that he as clever as me, or as anybody other? You said, we heard. That is ALL. Wy the hell each idiot in our "le meilleur des mondes possibles" think that if he done something he made the world better for allbody? And allbody must go same way as a stupid sheep. This is not my way.

There are many reasons why upgrade can't be done. You whant constructive criticism, here you are. Admin panel is unusable as for me. It done in mainstream of gigantic air interface with the fallback to mobile users. NO! No mobile in admin, it is utopia, it is unusable. I need see as more information as possible at one time. And air interface has very poor usability. We may have mobile customer side, but not admin where accountant seeing a lot of numbers, letters etc. at one time, not paraliticly scrolling by his/her fat fingers. Just because it take more time to make desigions, to done job and to done job better.

And a men who have use old shops have made to many modifications to simply migrate. My admin rewrote by 60%, have unique modules and integrations with, say shipping services and so on. Should I reintegrate it in POTENTIALLY unvulnurable new software? May you swear by your life that your osC4 is not vulnerable or it has the complete service for me or anybody else so, that we may said THIS SOFT PROBABLY MADE BY GODS, IT MARVELOUS? NO, you may not, because you not kamikaze.

So, return all old addons code back.

I hope you understand the policy of the Party?

 

On 8/9/2022 at 11:30 AM, osCommerce-Official said:

n the meantime osCommerce 4.02 has been released - please see the osCommerce.com website or this Forum for the announcement.

In my country says: a boy said, a boy done. Something suggest me in your too, uh? So, i must ask you WHERE the link or WHEN you link?

Share this post


Link to post
Share on other sites
46 minutes ago, RusNN said:

Read by letters please: IT IS MY PROBLEM! Not your, not anybody. IT IS MY AND ONLY MY PROBLEM! For what fucking hell somebody, I mean you, thinking that he as clever as me, or as anybody other? You said, we heard. That is ALL. Wy the hell each idiot in our "le meilleur des mondes possibles" think that if he done something he made the world better for allbody? And allbody must go same way as a stupid sheep. This is not my way.

There are many reasons why upgrade can't be done. You whant constructive criticism, here you are. Admin panel is unusable as for me. It done in mainstream of gigantic air interface with the fallback to mobile users. NO! No mobile in admin, it is utopia, it is unusable. I need see as more information as possible at one time. And air interface has very poor usability. We may have mobile customer side, but not admin where accountant seeing a lot of numbers, letters etc. at one time, not paraliticly scrolling by his/her fat fingers. Just because it take more time to make desigions, to done job and to done job better.

And a men who have use old shops have made to many modifications to simply migrate. My admin rewrote by 60%, have unique modules and integrations with, say shipping services and so on. Should I reintegrate it in POTENTIALLY unvulnurable new software? May you swear by your life that your osC4 is not vulnerable or it has the complete service for me or anybody else so, that we may said THIS SOFT PROBABLY MADE BY GODS, IT MARVELOUS? NO, you may not, because you not kamikaze.

So, return all old addons code back.

I hope you understand the policy of the Party?

 

In my country says: a boy said, a boy done. Something suggest me in your too, uh? So, i must ask you WHERE the link or WHEN you link?

Peter, 

OsCommerce will be developed into a wonderful mainstream Ecommerce platform. You are welcome to join us on the way. 

Old add ons will be temporarily enabled soon. 

You will not be allowed to be abusive and aggressive on these forums, warning issued. 

Have a good evening! 

Share this post


Link to post
Share on other sites

So the old version is.... blah, blah, blah. We get it, we know that.

The new version is... blah, blah, blah. Still get it, still know that.

 

So the  >v4 addons are gone because the old version is... or is it because the new version is...?   Makes no sense either way. There actually are users that actually realized the old version's of osCommerce were at EOL status, many who were probably weighing business decisions on how and when to change software. Some of those many users  were probably keeping an eye on the new V4, waiting until they feel they can change and build up to meet their shops already existing requirements that there existing osCommerce shop has been customized to meet. Do you not realize how many existing users may want to look back at the old contributions they have had installed through the years? Maybe they have an issue and want to see the original code for debugging, upgrading it to work on modern server setups, etc; Maybe they want to see what it would take to "modernize" an older contribution, or completely make a new addon based on just the "idea" of an old contribution. 

Anyway you look at it, you alienated countless established users when taking down the old addons. You can repeat how the old version is "...", and the new version is "..." all you want, it doesn't help. People here are not dumb, they're smart enough to already know that. They're smart enough to make changes when their business allows, and they're also smart enough to find another software that will meet their business needs when the time for that change comes.

Now all that was primarily the shop owner point of view in me. So how about the developer standpoint? With a quick look, on the surface, the new code shares a lot of the old code. Even makes use of a modified theme system that was an old addon, looks like maybe BTS? or something similar.  So that says, hey I can take some old addons, redevelop them, and release them as new addons! But, maybe like, y'know, Holbi had the same idea. So lets just cutoff access to all those old ideas and maybe release the most popular as new and improved paid addons! You have every right to do it too.

I feel like your going to push more away than you attract by removing the addons. Such a nonissue just to restore them, such a shit move not too. And believe me, people who know who I am, know I am all too familiar with shit moves and osCommerce.

Either way, best of luck.

 


Follow the community build:

BS3 to osCommerce Responsive from the Get Go!

Check out the new construction:

Admin Gone to Total BS!

Share this post


Link to post
Share on other sites
On 8/19/2022 at 8:21 PM, GLWalker said:

So the old version is.... blah, blah, blah. We get it, we know that.

The new version is... blah, blah, blah. Still get it, still know that.

 

So the  >v4 addons are gone because the old version is... or is it because the new version is...?   Makes no sense either way. There actually are users that actually realized the old version's of osCommerce were at EOL status, many who were probably weighing business decisions on how and when to change software. Some of those many users  were probably keeping an eye on the new V4, waiting until they feel they can change and build up to meet their shops already existing requirements that there existing osCommerce shop has been customized to meet. Do you not realize how many existing users may want to look back at the old contributions they have had installed through the years? Maybe they have an issue and want to see the original code for debugging, upgrading it to work on modern server setups, etc; Maybe they want to see what it would take to "modernize" an older contribution, or completely make a new addon based on just the "idea" of an old contribution. 

Anyway you look at it, you alienated countless established users when taking down the old addons. You can repeat how the old version is "...", and the new version is "..." all you want, it doesn't help. People here are not dumb, they're smart enough to already know that. They're smart enough to make changes when their business allows, and they're also smart enough to find another software that will meet their business needs when the time for that change comes.

Now all that was primarily the shop owner point of view in me. So how about the developer standpoint? With a quick look, on the surface, the new code shares a lot of the old code. Even makes use of a modified theme system that was an old addon, looks like maybe BTS? or something similar.  So that says, hey I can take some old addons, redevelop them, and release them as new addons! But, maybe like, y'know, Holbi had the same idea. So lets just cutoff access to all those old ideas and maybe release the most popular as new and improved paid addons! You have every right to do it too.

I feel like your going to push more away than you attract by removing the addons. Such a nonissue just to restore them, such a shit move not too. And believe me, people who know who I am, know I am all too familiar with shit moves and osCommerce.

Either way, best of luck.

 

Thanks for this post. 

Old extensions will be made available temporarily shortly. 

They has absolutely nothing to do with the new apps. More than that, plenty of functionality is built in the new version of osCommerce, and plenty more will be made available via free apps. Certain apps will be paid for, as businesses require certain features and are happy to pay for them. 

You and all other developers are very, very welcome to create new apps and offer them (paid or free) in the App Shop. 

 

Share this post


Link to post
Share on other sites

To current osCommerce administrators:

I'm so sorry, but I think this decision CUT THE FREEDOM of choice and FORCE you to upgrade, even if you need a single old app for your old oscommerce install, which is updated for years and runs on php 8 with no problem. Sorry, it's not good and not fair.

I know V4 is more complete, modern, but I just DON'T need it due to the difficulty of upgrading from our old heavily modified stores.

Please I beg for a link for the old applications. Of course you should put that they are legacy and recommend a V4 update but at least you will keep all the years of work of all types of users available for all who want it. For everyone who needs it.

I want to be as constructive as possible and would like to suggest that you seduce instead of delete the others' work that could be effective for others (even if you have legality on your side).

If not, at least take the corage of not mention about the old millions of apps / users / web, etc. Sorry, I think that this is not ethic at all (I cant be pround for a legacy that I don't have or I'm embrassed).

NOTE:

It seems that here you can get the old contributions...

https://old.oscommerce.com/

Edited by Antonio Garcia
add info

Share this post


Link to post
Share on other sites
1 hour ago, Antonio Garcia said:

To current osCommerce administrators:

I'm so sorry, but I think this decision CUT THE FREEDOM of choice and FORCE you to upgrade, even if you need a single old app for your old oscommerce install, which is updated for years and runs on php 8 with no problem. Sorry, it's not good and not fair.

I know V4 is more complete, modern, but I just DON'T need it due to the difficulty of upgrading from our old heavily modified stores.

Please I beg for a link for the old applications. Of course you should put that they are legacy and recommend a V4 update but at least you will keep all the years of work of all types of users available for all who want it. For everyone who needs it.

I want to be as constructive as possible and would like to suggest that you seduce instead of delete the others' work that could be effective for others (even if you have legality on your side).

If not, at least take the corage of not mention about the old millions of apps / users / web, etc. Sorry, I think that this is not ethic at all (I cant be pround for a legacy that I don't have or I'm embrassed).

NOTE:

It seems that here you can get the old contributions...

https://old.oscommerce.com/

Antonio, you may have noted we managed to reopen the old App site. It was difficult because of the new account system, but we found a way. 

As to the new version of osCommerce - would you like to have a zoom call to discuss your comments? 

Kind regards, Vadym 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×